Skip to main content

🌈 Colors

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate color related data. Includes color values in different formats as well as human readable value. Returns an array of colors, by default ten. Some values may be localized.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
LocaleLocalization for the response, see Localizationen
SeedSeed value for reproducible resultsnull

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get color mockdata.

Get color mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/colors
Accept: application/json

Response​

Example​

JSON
[
{
"cmyk": [
0.63,
0.75,
0.48,
0.42
],
"colorByCSSColorSpace": [
0.1741,
0.4743,
0.5379
],
"cssSupportedFunction": "lch",
"cssSupportedSpace": "rec2020",
"hsl": [
297,
0.93,
0.65
],
"humanReadableColor": "turquoise",
"hwb": [
124,
0.03,
0.38
],
"lab": [
0.448609,
14.677,
-32.1637
],
"lch": [
0.228977,
188.1,
33.2
],
"rgb": "#be7fcc",
"colorSpace": "CIEUVW"
}
]

CMYK​

JSONPower Automate
cmykCMYK

Returns a random CMYK color decimal values. For example:

JSON
[
0.63,
0.75,
0.48,
0.42
]

Return datatype: array

Color By CSS Color Space​

JSONPower Automate
colorByCSSColorSpaceColor By CSS Color Space

Returns a random CSS color decimal values. For example:

JSON
[
0.1741,
0.4743,
0.5379
]

Return datatype: array

CSS Supported Function​

JSONPower Automate
cssSupportedFunctionCSS Supported Function

Returns a random CSS supported color function name. Options are: cmyk, color, hsl, hsla, hwb, lab, lch, rgb or rgba. For example: lch.

Return datatype: string

CSS Supported Space​

JSONPower Automate
cssSupportedSpaceCSS Supported Space

Returns a random CSS supported color space name. Options are: a98-rgb, display-p3, prophoto-rgb, rec2020, sRGB. For example: rec2020.

Return datatype: string

HSL​

JSONPower Automate
hslHSL

Returns a random hsl color decimal values. For example:

JSON
[
297,
0.93,
0.65
]

Return datatype: array

Human​

JSONPower Automate
humanReadableColorHuman readable color

Returns a random human readable color name. For example turquoise.

Return datatype: string

HWB​

JSONPower Automate
hwbHWB

Returns a random hwb color decimal values. For example:

JSON
[
124,
0.03,
0.38
]

Return datatype: array

LAB​

JSONPower Automate
labLAB

Returns a random lab color decimal values. For example:

JSON
[
0.448609,
14.677,
-32.1637
]

Return datatype: array

LCH​

JSONPower Automate
lchLCH

Returns a random lch color decimal values. For example:

JSON
[
0.228977,
188.1,
33.2
]

Return datatype: array

RGB​

JSONPower Automate
rgbRGB

Returns a random RGB color in hex format. For example: #be7fcc.

Return datatype: string

Color space​

JSONPower Automate
colorSpaceColor space

Returns a random color space name. For example: CIEUVW.

Return datatype: string

To use your colors with product data, use the 🧸 Products endpoint.